<div id="custom-file">
    <div class="text">
        <h5>{{ title }}</h5>
        <span id="legend" #legend>{{ text }}</span>
    </div>
    <label class="button-upload">
        <input
            type="file"
            id="file"
            name="avatar"
            [accept]="types"
            aria-label="Selecionar um ficheiro"
            (change)="showSelectedFile($event)"
        />
        {{ button }}
    </label>
</div>
